Get Favoriters
Get favoriters
Back to API Reference
/Tweet Engagement Endpoints
POST
/twitter/tweets-favoritersAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsontweet_idstringrequiredThe ID of the tweet to get favoriters.
target_countintegerrequiredThe number of favoriters to get.
cookiestringrequiredThe user's own authorized Twitter session credentials or auth_token (BYOC — Bring Your Own Cookie). Stateless proxy execution with zero credential retention. See [Authentication Security](/authentication#write-operations--byoc-bring-your-own-cookie) and [How to get Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
Responses
200A list of user objects.
codeintegerrequiredThe status code of the response.
msgstringrequiredThe message of the response.
dataUserModel[]requiredA list of user objects.
Show propertiesHide properties
Array of
UserModelidstringrequiredUser ID
namestringrequiredDisplay name
screen_namestringrequiredTwitter username
created_atstring | anyAccount creation date
Show propertiesHide properties
Any of:
string
stringany
anycreated_at_datetimestring | anyAccount creation datetime in ISO format
Show propertiesHide properties
Any of:
string
stringany
anycan_dmboolean | anyWhether the user can be direct messaged
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anycan_media_tagboolean | anyWhether the user can be tagged in media
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydefault_profileboolean | anyWhether the user has a default profile
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydefault_profile_imageboolean | anyWhether the user has a default profile image
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydescriptionstring | anyUser's bio description
default: ""
Show propertiesHide properties
Any of:
string
stringany
anydescription_urlsstring[]List of URLs found in the user's description
default: []
urlsurlModel[] | anyList of URLs found in the user's profile
Show propertiesHide properties
Any of:
urlModel[]
Array of
urlModelurlstringrequiredURL
expanded_urlstring | anyExpanded URL
Show propertiesHide properties
Any of:
string
stringany
anydisplay_urlstring | anyDisplay URL
Show propertiesHide properties
Any of:
string
stringany
anyany
anyfast_followers_countinteger | anyCount of fast followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfavourites_countinteger | anyNumber of tweets the user has liked
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfollowers_countinteger | anyNumber of followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfollowing_countinteger | anyNumber of users this user is following
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyhas_custom_timelinesboolean | anyWhether the user has custom timelines
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyis_blue_verifiedboolean | anyBlue verification status
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyverified_typestring | anyVerification badge type when not blue-only: blue, business, government, etc.
Show propertiesHide properties
Any of:
string
stringany
anyis_verifiedboolean | anyTrue if the account has any verification badge (blue, business, government, or legacy verified)
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyprofile_image_shapestring | anyProfile image shape (Circle or Square; Square often indicates business/government)
Show propertiesHide properties
Any of:
string
stringany
anyis_translatorboolean | anyWhether the user is a translator
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anylisted_countinteger | anyNumber of public lists the user is a member of
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anylocationstring | anyUser's location
default: ""
Show propertiesHide properties
Any of:
string
stringany
anymedia_countinteger | anyNumber of media tweets posted by the user
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anynormal_followers_countinteger | anyCount of normal followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anypinned_tweet_idsstring[]List of pinned tweet IDs
default: []
possibly_sensitiveboolean | anyWhether the user's profile may contain sensitive content
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyprofile_banner_urlstring | anyURL of the user's profile banner
Show propertiesHide properties
Any of:
string
stringany
anyprofile_image_urlstring | anyURL of the user's profile image
Show propertiesHide properties
Any of:
string
stringany
anyprotectedboolean | anyWhether the user's tweets are protected
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anystatuses_countinteger | anyNumber of tweets posted by the user
default: 0
Show propertiesHide properties
Any of:
integer
integerany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
✍️
Write Operation Credentials Guide (TwexAPI Key + Twitter Cookie)
1. TwexAPI Platform Key (Bearer Token): Enter under "API Authorization" below for request billing & authentication.
2. Twitter Account Cookie: For write operations (tweet, like, follow, etc.), provide the target Twitter account's Cookie (e.g. auth_token=...; ct0=...) in the cookie field of Request Body below.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/twitter/tweets-favoriters" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tweet_id": "string",
"target_count": 0,
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
}'const response = await fetch("https://api.twexapi.io/twitter/tweets-favoriters", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"tweet_id": "string",
"target_count": 0,
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets-favoriters",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"tweet_id": "string",
"target_count": 0,
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
},
)Response
{
"code": 0,
"msg": "string",
"data": [
{
"id": "1717001045992251392",
"name": "Cryptoklepto",
"screen_name": "CK_Cryptoklepto",
"created_at": "Mon Oct 28 02:32:47 +0000 2024",
"created_at_datetime": "2024-10-28T02:32:47.000Z",
"can_dm": false,
"can_media_tag": false,
"default_profile": false,
"default_profile_image": false,
"description": "",
"description_urls": [],
"urls": [
{
"url": "https://www.google.com",
"expanded_url": "https://www.google.com",
"display_url": "www.google.com"
}
],
"fast_followers_count": 0,
"favourites_count": 0,
"followers_count": 0,
"following_count": 0,
"has_custom_timelines": false,
"is_blue_verified": false,
"verified_type": "government",
"is_verified": false,
"profile_image_shape": "Circle",
"is_translator": false,
"listed_count": 0,
"location": "New York, USA",
"media_count": 0,
"normal_followers_count": 0,
"pinned_tweet_ids": [],
"possibly_sensitive": false,
"profile_banner_url": "string",
"profile_image_url": "string",
"protected": false,
"statuses_count": 0
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}